	/* Yacc specification of ambiguous expression*/ 
	/* grammar (4.3), pg 194, Aho, 2nd ed.,      */

%{
#include <stdio.h>
#include <ctype.h>
%}
%token NUMBER
	/*
%left '+' 
%left '*' 
	*/
%%
expr	: expr '+' expr	{ $$ = $1 + $3;}
	| expr '*' expr	{ $$ = $1 * $3;}
      	| '(' expr ')'	{ $$ = $2; }
	| NUMBER
	;
%%
int yylex(void)
{ int c;
  while ( (c = getchar()) == ' ' );	/* skip spaces */
  if ( isdigit(c) ) {
    ungetc(c, stdin);
    scanf("%d", &yylval);  /* input a number */
    return NUMBER;
  }
  return c;
}

